<?php
namespace WPC;

// use Elementor\Plugin;

class Widget_Loader{

  private static $_instance = null;

  public static function instance()
  {
    if (is_null(self::$_instance)) {
      self::$_instance = new self();
    }
    return self::$_instance;
  }


  private function include_widgets_files(){
    require_once(__DIR__ . '/widgets/widget-carousel.php');
    require_once(__DIR__ . '/widgets/widget-page.php');
    require_once(__DIR__ . '/widgets/widget-events.php');
    require_once(__DIR__ . '/widgets/widget-forms.php');
    require_once(__DIR__ . '/widgets/widget-social-feed.php');
    require_once(__DIR__ . '/widgets/widget-icon.php');
    require_once(__DIR__ . '/widgets/widget-featured.php');
  }

  public function register_widgets(){

    $this->include_widgets_files();

    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new Widgets\WidgetCarousel());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new Widgets\WidgetPage());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new Widgets\WidgetEvents());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new Widgets\WidgetForms());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new Widgets\WidgetSocialFeed());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new Widgets\WidgetIcon());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new Widgets\WidgetFeatured());

  }

  public function __construct(){
    add_action('elementor/widgets/widgets_registered', [$this, 'register_widgets'], 99);
  }
}

// Instantiate Plugin Class
Widget_Loader::instance();
