<?php

add_action( 'after_setup_theme', 'blankslate_setup' );
function blankslate_setup() {
load_theme_textdomain( 'blankslate', get_template_directory() . '/languages' );
add_theme_support( 'title-tag' );
add_theme_support( 'automatic-feed-links' );
add_theme_support( 'post-thumbnails' );
add_theme_support( 'html5', array( 'search-form' ) );
global $content_width;
if ( ! isset( $content_width ) ) { $content_width = 1920; }
register_nav_menus( array( 
  'main-menu' => esc_html__( 'Main Menu', 'blankslate' ),
  'social-menu' => esc_html__( 'Social Menu', 'blankslate' )
) );
}
add_action( 'wp_enqueue_scripts', 'blankslate_load_scripts' );
function blankslate_load_scripts() {
wp_enqueue_style( 'blankslate-style', get_stylesheet_uri().'?t='.time() );
wp_enqueue_script( 'jquery' );
}
add_action( 'wp_footer', 'blankslate_footer_scripts' );
function blankslate_footer_scripts() {
?>
<script>
jQuery(document).ready(function ($) {
var deviceAgent = navigator.userAgent.toLowerCase();
if (deviceAgent.match(/(iphone|ipod|ipad)/)) {
$("html").addClass("ios");
$("html").addClass("mobile");
}
if (navigator.userAgent.search("MSIE") >= 0) {
$("html").addClass("ie");
}
else if (navigator.userAgent.search("Chrome") >= 0) {
$("html").addClass("chrome");
}
else if (navigator.userAgent.search("Firefox") >= 0) {
$("html").addClass("firefox");
}
else if (navigator.userAgent.search("Safari") >= 0 && navigator.userAgent.search("Chrome") < 0) {
$("html").addClass("safari");
}
else if (navigator.userAgent.search("Opera") >= 0) {
$("html").addClass("opera");
}
});
</script>
<?php
}
add_filter( 'document_title_separator', 'blankslate_document_title_separator' );
function blankslate_document_title_separator( $sep ) {
$sep = '|';
return $sep;
}
add_filter( 'the_title', 'blankslate_title' );
function blankslate_title( $title ) {
if ( $title == '' ) {
return '...';
} else {
return $title;
}
}
add_filter( 'the_content_more_link', 'blankslate_read_more_link' );
function blankslate_read_more_link() {
if ( ! is_admin() ) {
return ' <a href="' . esc_url( get_permalink() ) . '" class="more-link">...</a>';
}
}
add_filter( 'excerpt_more', 'blankslate_excerpt_read_more_link' );
function blankslate_excerpt_read_more_link( $more ) {
if ( ! is_admin() ) {
global $post;
return ' <a href="' . esc_url( get_permalink( $post->ID ) ) . '" class="more-link">...</a>';
}
}
add_filter( 'intermediate_image_sizes_advanced', 'blankslate_image_insert_override' );
function blankslate_image_insert_override( $sizes ) {
unset( $sizes['medium_large'] );
return $sizes;
}
add_action( 'widgets_init', 'blankslate_widgets_init' );
function blankslate_widgets_init() {
register_sidebar( array(
'name' => esc_html__( 'Sidebar Widget Area', 'blankslate' ),
'id' => 'primary-widget-area',
'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
'after_widget' => '</li>',
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );
}
add_action( 'wp_head', 'blankslate_pingback_header' );
function blankslate_pingback_header() {
if ( is_singular() && pings_open() ) {
printf( '<link rel="pingback" href="%s" />' . "\n", esc_url( get_bloginfo( 'pingback_url' ) ) );
}
}
add_action( 'comment_form_before', 'blankslate_enqueue_comment_reply_script' );
function blankslate_enqueue_comment_reply_script() {
if ( get_option( 'thread_comments' ) ) {
wp_enqueue_script( 'comment-reply' );
}
}
function blankslate_custom_pings( $comment ) {
?>
<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>"><?php echo comment_author_link(); ?></li>
<?php
}
add_filter( 'get_comments_number', 'blankslate_comment_count', 0 );
function blankslate_comment_count( $count ) {
if ( ! is_admin() ) {
global $id;
$get_comments = get_comments( 'status=approve&post_id=' . $id );
$comments_by_type = separate_comments( $get_comments );
return count( $comments_by_type['comment'] );
} else {
return $count;
}
}
/**
* Create Custom Settings
*/
function your_theme_new_customizer_settings($wp_customize) {    
    // Add a Setting
    $wp_customize->add_setting('logo_i', array(
      'default' => get_bloginfo('template_directory') . '/images/logo2.png'
    ));
    // Add a Control
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'logo_i',
    array(
      'label' => 'Header Logo (color)',
      'section' => 'title_tagline',
      'settings' => 'logo_i',
    ) ) );
    
    
    // Add a Setting
    $wp_customize->add_setting('logo_i2', array(
      'default' => get_bloginfo('template_directory') . '/images/logo.png'
    ));
    // Add a Control
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'logo_i2',
    array(
      'label' => 'Header Logo (white)',
      'section' => 'title_tagline',
      'settings' => 'logo_i2',
    ) ) );
    
    // Add a Setting
    $wp_customize->add_setting('logo_w', array(
        'default'   => '340',
    ) );
    // Add a Control
    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'logo_w',
    array(
        'label' => 'Logo Max Width',
        'section' => 'title_tagline',
        'settings' => 'logo_w',
    ) ) );

    // Theme color
    $wp_customize->add_setting( 'color1', array(
      'default'   => '#0dc9a8',
      'transport' => 'refresh',
    ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'color1', array(
      'label'   => esc_html__( 'Primary color', 'theme' ),
      'section' => 'title_tagline', 
    ) ) ); 
    
    $wp_customize->add_setting( 'color2', array(
      'default'   => '#ffffff',
      'transport' => 'refresh',
    ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'color2', array(
      'label'   => esc_html__( 'Transparent Header Menu text color', 'theme' ),
      'section' => 'title_tagline', 
    ) ) );  
    
    $wp_customize->add_setting( 'color3', array(
      'default'   => '#151313',
      'transport' => 'refresh',
    ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'color3', array(
      'label'   => esc_html__( 'Sticky Menu text color', 'theme' ),
      'section' => 'title_tagline', 
    ) ) ); 
}
add_action('customize_register', 'your_theme_new_customizer_settings');

function theme_get_customizer_css() {
  ob_start();
  $color1 = get_theme_mod( 'color1', '' );
  $color2 = get_theme_mod( 'color2', '' );
  $color3 = get_theme_mod( 'color3', '' );
?>
<style>
body .elementor .button3 .elementor-button,
body .elementor .button .elementor-button,
.elementor-text-editor a:hover,
.esf_insta_load_more_btns_wrap .esf_insta_feed_btns_holder .esf-insta-follow-btn,
.elementor-section.c,
.slick-down .elementor-button-link,
.scrollHeader.home #header,
.main-menu li a::before,
.button .elementor-button,
#header {
  background-color:<?php echo $color1;?>;
}
.title a:hover {
  color:<?php echo $color1;?>;
}
.elementor-widget-theme-post-content .elementor-widget-container a,
.elementor-text-editor a {
  text-decoration:2px underline <?php echo $color1;?>;
}
.elementor-widget-theme-post-content .elementor-widget-container a:hover {
  background-color:<?php echo $color1;?>;
  text-decoration:none;
}
body .elementor .button .elementor-button,
body .elementor .button2 .elementor-button,
#header,
#mobile-menu {
  color:<?php echo $color3;?>;
}
body .elementor .button2 .elementor-button:hover,
body .elementor .button .elementor-button:hover,
button.menu-close:hover,
button.menu:hover,
.scrollHeader.home button.menu:hover,
button.menu-close,
button.menu,
.scrollHeader.home button.menu {
  background-color:<?php echo $color3;?>;
}
.home #header {
  color:<?php echo $color2;?>;
}
.home button.menu:hover,
.home button.menu {
  background-color:<?php echo $color2;?>;
}
</style>
<?php
  $css = ob_get_clean();
  return $css;
}
function cc_mime_types($mimes) {
  $mimes['svg'] = 'image/svg+xml';
  return $mimes;
}
add_filter('upload_mimes', 'cc_mime_types');
function get_menu_id($theme_location) {
  $locations = get_nav_menu_locations();
  $menuID = $locations[$theme_location];
  return $menuID;
}
add_filter( 'auto_update_core', '__return_true' );
add_filter( 'auto_update_plugin', '__return_true' );
add_filter( 'auto_update_theme', '__return_true' );
add_filter('pre_get_posts', 'query_post_type');