<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap-grid.min.css">
<?php wp_head(); ?>
<?php echo theme_get_customizer_css(); ?>
<script>
  document.tidioChatLang = document.querySelector("html").getAttribute("lang");
  (function($) {
    $(document).ready(function() {
      scrollHeader();
      $( window ).resize(function() {
        scrollHeader();
      });

       $(document).ready(function() {
          $("video").bind("contextmenu",function(){
              return false;
              });
      } );

    });
    
    function scrollHeader() {
      var body = $('body');
      var obj = $('#header');
      var obj_h = obj.outerHeight();
      var win_w = $(window).outerWidth();
      var btn_menu = $('button.menu');
      
      if(!body.hasClass('home')) {
        body.css('padding-top',obj_h);
      }
      else {
        body.css('padding-top','');
      }

      btn_menu.click(function() {
        if (!body.hasClass('show-menu')) {
          body.addClass('show-menu');
        }
        else {
          body.removeClass('show-menu');
        }
      });
      $('.menu-close').click(function() {
        if (!body.hasClass('show-menu')) {
          body.addClass('show-menu');
        }
        else {
          body.removeClass('show-menu');
        }
      });
      
      $(document).on('keyup', function(e) {
        if (e.key == "Escape") body.removeClass('show-menu');
      });

      $(window).on('scroll', function() {
        var st = $(window).scrollTop();
        if (st > obj_h) {
          body.addClass('scrollHeader');
          ``}
        else {
          body.removeClass('scrollHeader');
        }
      });
    }
  })(jQuery);
</script>
</head>
<body <?php body_class(); ?>>
<div id="wrapper" class="hfeed">
<header id="header">
  <div class="container-fluid d-flex align-items-center justify-content-between">
    <div id="branding">
        <a title="<?php echo esc_html( get_bloginfo( 'name' ) ); ?>" href="<?php echo esc_url( home_url( '/' ) ); ?>">
        <?php 
          $logo = get_theme_mod( 'logo_i' );
          $logo2 = get_theme_mod( 'logo_i2' );
          $logo_w = get_theme_mod( 'logo_w' );
          if($logo) {
        ?>
          <img class="logo-light" src="<?php echo $logo?>" alt="<?php echo esc_html( get_bloginfo( 'name' ) ); ?>" width="<?php echo $logo_w; ?>">
          <?php if(is_front_page()) { ?>
            <img class="logo-dark" src="<?php echo $logo2?>" alt="<?php echo esc_html( get_bloginfo( 'name' ) ); ?>" width="<?php echo $logo_w; ?>">        
          <?php } ?>
        <?php } else { ?>
          <?php echo esc_html( get_bloginfo( 'name' ) ); ?>
        <?php } ?>
      </a>
    </div>
    <nav id="menu" class="d-flex align-items-center">
      <?php 
        $location = 'main-menu';
        $menu_id = get_menu_id($location);
        if($menu_id){
          wp_nav_menu( array( 
            'container' => 'ul',
            'menu_class' => 'flex-fill d-lg-flex align-items-center '.$location,
            'theme_location' => $location,
          ) );
        }
      ?>
      <button class="menu"><span></span></button>
    </nav>
    <nav id="mobile-menu" class="d-flex align-items-center justify-content-center">
      <button class="menu-close"><span></span></button>
      <?php 
        $location = 'main-menu';
        $menu_id = get_menu_id($location);
        if($menu_id){
          wp_nav_menu( array( 
            'container' => 'ul',
            'menu_class' => 'main-menu',
            'theme_location' => $location,
          ) );
        }
      ?>
    </nav>
  </div>
</header>